'use client';
import IconCopy from '@/components/icon/icon-copy';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import React from 'react';
import CopyToClipboard from 'react-copy-to-clipboard';
import Swal from 'sweetalert2';

export default function() {
    const message3 = '22991';
    const showMessage = (message: String = '') => {
        const toast = Swal.mixin({
            toast: true,
            position: 'top',
            showConfirmButton: false,
            timer: 3000,
        });
        toast.fire({
            icon: 'success',
            title: message || 'با موفقیت کپی شد',
            padding: '10px 20px',
        });
    };

    return (
        <PanelCodeHighlight
            title="کپی از متن"
        >
            <div className="mb-5">
                <div className="rounded bg-[#f1f2f3] p-5 dark:bg-[#060818]">
                    <form>
                        <p className="mb-3 font-semibold">
                            کد ورود شما:
                            <span className="text-2xl" id="copyOTP" defaultValue={message3}>
                                22991
                            </span>
                            .
                        </p>
                        <p className="font-semibold">لطفا آن را با کسی به اشتراک نگذارید</p>
                        <div className="mt-5 space-y-2 rtl:space-x-reverse sm:flex sm:space-x-2 sm:space-y-0">
                            <CopyToClipboard
                                text={message3}
                                onCopy={(text, result) => {
                                    if (result) {
                                        showMessage();
                                    }
                                }}
                            >
                                <button type="button" className="btn btn-primary" data-clipboard-target="#copyOTP">
                                    <IconCopy className="ltr:mr-2 rtl:ml-2" />
                                    کپی
                                </button>
                            </CopyToClipboard>
                        </div>
                    </form>
                </div>
            </div>
        </PanelCodeHighlight>
    );
}
